跳转到主要内容
POST
https://api.aisa.one/apis/v1
/
agentmail
/
inboxes
/
{inbox_id}
/
messages
/
{message_id}
/
reply
回复消息
curl --request POST \
  --url https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/messages/{message_id}/reply \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "labels": [
    "<string>"
  ],
  "reply_to": "<string>",
  "to": "<string>",
  "cc": "<string>",
  "bcc": "<string>",
  "reply_all": true,
  "text": "<string>",
  "html": "<string>",
  "attachments": [
    {
      "filename": "<string>",
      "content_type": "<string>",
      "content_id": "<string>",
      "content": "<string>",
      "url": "<string>"
    }
  ],
  "headers": {}
}
'
import requests

url = "https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/messages/{message_id}/reply"

payload = {
"labels": ["<string>"],
"reply_to": "<string>",
"to": "<string>",
"cc": "<string>",
"bcc": "<string>",
"reply_all": True,
"text": "<string>",
"html": "<string>",
"attachments": [
{
"filename": "<string>",
"content_type": "<string>",
"content_id": "<string>",
"content": "<string>",
"url": "<string>"
}
],
"headers": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
labels: ['<string>'],
reply_to: '<string>',
to: '<string>',
cc: '<string>',
bcc: '<string>',
reply_all: true,
text: '<string>',
html: '<string>',
attachments: [
{
filename: '<string>',
content_type: '<string>',
content_id: '<string>',
content: '<string>',
url: '<string>'
}
],
headers: {}
})
};

fetch('https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/messages/{message_id}/reply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message_id": "<string>",
  "thread_id": "<string>"
}
{
"name": "<string>",
"errors": "<unknown>"
}
{
"name": "<string>",
"message": "<string>"
}
{
"name": "<string>",
"message": "<string>"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求头

Authorization
string
必填

Bearer 身份验证

路径参数

inbox_id
string
必填

收件箱的 ID。

message_id
string
必填

消息 ID。

请求体

application/json
labels
string[]

消息标签。

reply_to

回复地址(一个或多个)。

to

收件人地址。

cc

抄送收件人地址。

bcc

密送收件人地址。

reply_all
boolean

回复原始消息的所有收件人。

text
string

消息的纯文本正文。

html
string

消息的 HTML 正文。

attachments
SendAttachment · object[]

消息中要包含的附件。

headers
SendMessageHeaders · object

消息中要包含的标头。

响应

状态码为 200 的响应

message_id
string
必填

消息 ID。

thread_id
string
必填

会话 ID。